sccp_vty.c File Reference
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <arpa/inet.h>`
`#include <osmocom/vty/vty.h>`
`#include <osmocom/vty/command.h>`
`#include <osmocom/vty/logging.h>`
`#include <osmocom/vty/telnet_interface.h>`
`#include <osmocom/vty/misc.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include <osmocom/sigtran/protocol/mtp.h>`
`#include "xua_internal.h"`
`#include "sccp_internal.h"`

## Functions

static void | show_user (struct vty *vty, struct osmo_sccp_user *user)
| DEFUN (show_sccp_users, show_sccp_users_cmd, "show cs7 instance <0-15> sccp users", SHOW_STR CS7_STR INST_STR INST_STR "Signaling Connection Control Part\ "Show List of SCCP Users registered\")
| DEFUN (show_sccp_user_ssn, show_sccp_user_ssn_cmd, "show cs7 instance <0-15> sccp ssn <0-65535>", SHOW_STR CS7_STR INST_STR INST_STR "Signaling Connection Control Part\ "Show List of SCCP Users registered\")
| DEFUN (show_sccp_connections, show_sccp_connections_cmd, "show cs7 instance <0-15> sccp connections", SHOW_STR CS7_STR INST_STR INST_STR "Signaling Connection Control Part\ "Show List of SCCP Users registered\")
void | osmo_sccp_vty_init (void)

## Function Documentation

## DEFUN() [1/3]

DEFUN | ( | show_sccp_users | ,
|  | show_sccp_users_cmd | ,
|  | "show cs7 instance <0-15> sccp users" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Signaling Connection Control Part\ "Show List of SCCP Users registered\" |
| ) |  |

References osmo_sccp_user::list, osmo_ss7_instance_find(), osmo_ss7_instance::sccp, show_user(), and osmo_sccp_instance::users.

## DEFUN() [2/3]

DEFUN | ( | show_sccp_user_ssn | ,
|  | show_sccp_user_ssn_cmd | ,
|  | "show cs7 instance <0-15> sccp ssn <0-65535>" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Signaling Connection Control Part\ "Show List of SCCP Users registered\" |
| ) |  |

References osmo_ss7_instance_find(), osmo_ss7_instance::sccp, sccp_user_find(), show_user(), and osmo_sccp_user::ssn.

## DEFUN() [3/3]

DEFUN | ( | show_sccp_connections | ,
|  | show_sccp_connections_cmd | ,
|  | "show cs7 instance <0-15> sccp connections" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Signaling Connection Control Part\ "Show List of SCCP Users registered\" |
| ) |  |

References osmo_ss7_instance_find(), osmo_ss7_instance::sccp, and sccp_scoc_show_connections().

## osmo_sccp_vty_init()

void osmo_sccp_vty_init | ( | void |  | ) |

## show_user()

static void show_user | ( | struct vty * | vty,
|  | struct osmo_sccp_user * | user
| ) |  |

static

References osmo_sccp_user::inst, osmo_sccp_user::name, osmo_ss7_pc_is_valid(), osmo_ss7_pointcode_print(), osmo_sccp_user::pc, osmo_sccp_instance::ss7, and osmo_sccp_user::ssn.

Referenced by DEFUN().